> ## Documentation Index
> Fetch the complete documentation index at: https://developer.hellgate.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Create a SEPA mandate



## OpenAPI

````yaml /products/commerce/v1/openapi.yaml post /customers/{customer_id}/sepa-mandates
openapi: 3.1.0
info:
  license:
    name: Hellgate® API License
    url: https://starfish.team
  title: Commerce
  version: '0.1'
servers:
  - url: https://commerce1.on-hellgate.dev
    variables: {}
security:
  - mtls: []
  - api_key: []
tags: []
paths:
  /customers/{customer_id}/sepa-mandates:
    post:
      tags:
        - sepa_mandates
      summary: Create a SEPA mandate
      operationId: CommerceWeb.Customers.SepaMandateController.create
      parameters:
        - description: >-
            Identifies the account. Required when authenticating via mTLS — omit
            when using an API key (account is inferred from the key).
          in: header
          name: X-Account-ID
          required: false
          schema:
            type: string
            x-struct: null
            x-validate: null
        - description: Customer ID
          in: path
          name: customer_id
          required: true
          schema:
            type: string
            x-struct: null
            x-validate: null
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/SepaMandateCreateParams'
        description: Body
        required: false
      responses:
        '201':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/SepaMandateResponse'
          description: Success
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
          description: Error
      callbacks: {}
components:
  schemas:
    SepaMandateCreateParams:
      properties:
        address:
          type: string
          x-struct: null
          x-validate: null
        bic:
          type: string
          x-struct: null
          x-validate: null
        city:
          type: string
          x-struct: null
          x-validate: null
        country_code:
          type: string
          x-struct: null
          x-validate: null
        document:
          type: string
          x-struct: null
          x-validate: null
        iban:
          type: string
          x-struct: null
          x-validate: null
        mandate_name:
          type: string
          x-struct: null
          x-validate: null
        method:
          enum:
            - CORE
            - B2B
          type: string
          x-struct: null
          x-validate: null
        postal_code:
          type: string
          x-struct: null
          x-validate: null
        reference:
          type: string
          x-struct: null
          x-validate: null
        sequence_type:
          type: string
          x-struct: null
          x-validate: null
        signed_on:
          format: date
          type: string
          x-struct: null
          x-validate: null
      required:
        - bic
        - country_code
        - document
        - iban
        - mandate_name
        - method
        - reference
        - sequence_type
        - signed_on
      title: SepaMandateCreateParams
      type: object
      x-struct: Elixir.CommerceWeb.Schemas.PaymentMethodsSchema.SepaMandateCreateParams
      x-validate: null
    SepaMandateResponse:
      properties:
        address:
          type: string
          x-struct: null
          x-validate: null
        bic:
          type: string
          x-struct: null
          x-validate: null
        city:
          type: string
          x-struct: null
          x-validate: null
        country_code:
          type: string
          x-struct: null
          x-validate: null
        iban:
          type: string
          x-struct: null
          x-validate: null
        mandate_name:
          type: string
          x-struct: null
          x-validate: null
        method:
          type: string
          x-struct: null
          x-validate: null
        postal_code:
          type: string
          x-struct: null
          x-validate: null
        reference:
          type: string
          x-struct: null
          x-validate: null
        sequence_type:
          type: string
          x-struct: null
          x-validate: null
        signed_on:
          type: string
          x-struct: null
          x-validate: null
        status:
          type: string
          x-struct: null
          x-validate: null
        token:
          type: string
          x-struct: null
          x-validate: null
      title: SepaMandateResponse
      type: object
      x-struct: Elixir.CommerceWeb.Schemas.PaymentMethodsSchema.SepaMandateResponse
      x-validate: null
    ErrorResponse:
      properties:
        classifier:
          type: string
          x-struct: null
          x-validate: null
        code:
          type: integer
          x-struct: null
          x-validate: null
        message:
          type: string
          x-struct: null
          x-validate: null
      required:
        - code
        - classifier
        - message
      title: ErrorResponse
      type: object
      x-struct: Elixir.CommerceWeb.Schemas.ErrorsSchema.ErrorResponse
      x-validate: null
  securitySchemes:
    mtls:
      description: >-
        Client certificate authentication via mTLS. Account-scoped routes
        additionally require the X-Account-ID header to identify the account.
      type: mutualTLS
    api_key:
      in: header
      name: X-API-Key
      type: apiKey

````